# plotting.py
# AE3M33UI - Artificial Intellignece course, FEE CTU in Prague
#
# Module containing plotting functions.

from matplotlib.pyplot import *

def plot_xy_data(x, y, xlbl='', ylbl=''):
    """Create plot of x,y pairs."""
    figure()
    scatter(x,y)
    xlabel(xlbl, fontsize=16)
    ylabel(ylbl, fontsize=16)
    
def plot_1D_regr_model(model, c='b'):
    """Display predictions of the model in the x-range of an existing figure."""
    # Get the limits of axes in the current graph
    ax = axis()
    # Build a set of points for which we'd like to display the predictions
    Xtst = np.linspace(ax[0], ax[1], 101)
    Xtst = Xtst[:,np.newaxis]
    # Compute the predictions
    raise NotImplementedError    
    # ytst = ... <YOUR CODE HERE>
    # Plot them
    plot(Xtst, ytst, lw=3, c=c)
    axis(ax)


